Results 1 to 2 of 2

Thread: Createrepo & reposync packages

Threaded View

  1. #1

    Unhappy Createrepo & reposync packages

    Hi guys,

    I have a SUSE 10 box and is missing 2 commands:

    reposync
    createrepo

    When I try to search for these using zypper :


    Code:
    server:/tmp # zypper search createrepo
    Restoring system sources...
    Not found: Media Exception
    Not found: Media Exception
    /repodata/repomd.xml (http://<REPO>) is unsigned, continue? [y/n]: y
    Parsing metadata for -20131017-145927...
    Parsing metadata for SUSE Linux Enterprise Server 10 SP4...
    No packages found.

    If I try to install it from another location (web) , it requires me to install dependencies. The dependencies require even MORE dependencies.
    Trying to install an rpm gives;

    Code:
    server:/tmp # rpm -ivh createrepo-0.10.3-3_Oso.noarch.rpm
    error: Failed dependencies:
    	pyliblzma is needed by createrepo-0.10.3-3_Oso.noarch
    	python(abi) = 2.7 is needed by createrepo-0.10.3-3_Oso.noarch
    	python-deltarpm is needed by createrepo-0.10.3-3_Oso.noarch
    	rpm-python is needed by createrepo-0.10.3-3_Oso.noarch
    	rpmlib(FileDigests) <= 4.6.0-1 is needed by createrepo-0.10.3-3_Oso.noarch
    	yum >= 3.4.3-4 is needed by createrepo-0.10.3-3_Oso.noarch
    	yum-metadata-parser is needed by createrepo-0.10.3-3_Oso.noarch
    	rpmlib(PayloadIsXz) <= 5.2-1 is needed by createrepo-0.10.3-3_Oso.noarch


    Is there a way to get a repo to install all packages required ?
    Last edited by jeunii; 16-Oct-2014 at 19:33.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •